<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__profile__enums" kind="group">
    <compoundname>group_profile_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__profile__enums_1gaf4167388440a79a2671d7c1bea86785c" kind="enum" prot="public" static="no">
        <name>cy_en_profile_ref_clk_t</name>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785cab734f4cdfa75f56ad1bbecdfd22dc137" prot="public">
          <name>CY_PROFILE_CLK_TIMER</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Timer clock (TimerClk) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785ca79a415fbd26791bde2542950ccbe56e3" prot="public">
          <name>CY_PROFILE_CLK_IMO</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Internal main oscillator (IMO) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785ca3cfadf6d76dd09aac9be406fceab04cf" prot="public">
          <name>CY_PROFILE_CLK_ECO</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>External crystal oscillator (ECO) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785ca20d72f5c36a2b073e116bd0933e78d99" prot="public">
          <name>CY_PROFILE_CLK_LF</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Low-frequency clock (LFCLK) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785ca1e37f3a78d1d64e950d826d26793cb98" prot="public">
          <name>CY_PROFILE_CLK_HF</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>High-Frequency clock (HFCLK0) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1ggaf4167388440a79a2671d7c1bea86785cafc71e35c9ae7442063989df33fb57f92" prot="public">
          <name>CY_PROFILE_CLK_PERI</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>Peripheral clock (PeriClk) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_profile_ref_clk_t: </bold><linebreak />Profile counter reference clock source.</para></briefdescription>
        <detaileddescription>
<para>Used when duration monitoring. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="298" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="290" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="291" />
      </memberdef>
      <memberdef id="group__group__profile__enums_1ga82efb19440328ed10ceb3ae66ac4e6f3" kind="enum" prot="public" static="no">
        <name>cy_en_profile_duration_t</name>
        <enumvalue id="group__group__profile__enums_1gga82efb19440328ed10ceb3ae66ac4e6f3a4164d3e39093109cb37d74adac47c6c3" prot="public">
          <name>CY_PROFILE_EVENT</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Count (edge-detected) module events. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1gga82efb19440328ed10ceb3ae66ac4e6f3a175867d1f00ea74e17f4290d7bdf468d" prot="public">
          <name>CY_PROFILE_DURATION</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Count (level) duration in clock cycles. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_profile_duration_t: </bold><linebreak />Monitor method type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="307" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="304" />
      </memberdef>
      <memberdef id="group__group__profile__enums_1ga7d980aa8f4c0159ccc47a973dd543e02" kind="enum" prot="public" static="no">
        <name>cy_en_profile_status_t</name>
        <enumvalue id="group__group__profile__enums_1gga7d980aa8f4c0159ccc47a973dd543e02a9328da8e423851a200dc18bceea5b54c" prot="public">
          <name>CY_PROFILE_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Operation completed successfully. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__profile__enums_1gga7d980aa8f4c0159ccc47a973dd543e02aea7920e744f752d60916180163cdd395" prot="public">
          <name>CY_PROFILE_BAD_PARAM</name>
          <initializer>= CY_PROFILE_ID | CY_PDL_STATUS_ERROR | 1UL</initializer>
          <briefdescription>
<para>Invalid input parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_profile_status_t: </bold><linebreak />Profiler status codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="315" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="311" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>